1. Properties
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patters
    • Support and technical support
  • CRM
    • Properties
      • List properties
        GET
      • Properties
        GET
      • Customers
        POST
      • Companies
        POST
      • Work addresses
        POST
      • Customers
        PATCH
      • Companies
        PATCH
      • Work addresses
        PATCH
      • Properties
        DELETE
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
  • Sales
    • Opportunities
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Put on hold
      • Mark as free of charge
      • Mark as aborted
      • Change job stage
      • Mark as complete
      • Remove on hold
  • Settings
    • List titles
      GET
    • List customer types
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List opportunity pipelines
      GET
    • List opportunity stages
      GET
    • List provinces
      GET
    • List job description templates
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
    • Webhooks
    • Webhooks
  1. Properties

Properties

Developing
GET
/properties/{propertyID}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200Success
application/json
Headers

Bodyapplication/json

🟠400400 Bad request
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/properties/1272' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "id": 0,
    "createdByType": "string",
    "createdByID": 0,
    "createdByUser": "string",
    "createdOnDateTime": "2019-08-24T14:15:22.123Z",
    "lastUpdatedOnDateTime": "2019-08-24T14:15:22.123Z",
    "type": "customer",
    "customerType": 0,
    "parentPropertyID": 0,
    "status": "active",
    "contact": {
        "id": "string",
        "title": "string",
        "firstName": "string",
        "lastName": "string",
        "telephone": "string",
        "mobile": "string",
        "email": "string"
    },
    "companyName": "string",
    "addressLine1": "string",
    "addressLine2": "string",
    "addressLine3": "string",
    "town": "string",
    "province": "string",
    "provinceID": 0,
    "postcode": "string",
    "latitude": "string",
    "longitude": "string",
    "accountingSystemReference": "stringstringstringst",
    "vacant": "Yes",
    "advertisingName": "string",
    "advertisingID": 0,
    "buildingType": "string",
    "buildingTypeID": 0,
    "priceBookName": "string",
    "priceBookID": 0,
    "creditorDays": "string",
    "creditorsDayID": 0,
    "UPRN": "string",
    "hasAfterSalesCareBeenTurnedOn": true,
    "links": {
        "self": "string",
        "parent": "string",
        "assets": "string",
        "contracts": "string",
        "opportunities": "string",
        "jobs": "string"
    }
}
Modified at 2026-07-02 10:30:53
Previous
List properties
Next
Customers
Built with